Subject: Re: bug#24555: [PATCH] Remove unused variable `command-debug-status'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Oct 2016 20:39:39 +0300

> From: Philippe Vaucher <[email-masked]>
> Date: Sat, 1 Oct 2016 18:12:06 +0200
> Cc: Stefan Monnier <[email-masked]>, [email-masked]
> 
> > I think your patch lacks the call to make-obsolete-variable. We need
> > that to warn users of this variable about it being obsoleted.
> 
> Well, I thought about it but was not sure about various things, so I didn't do it. Here are the things I'm unsure
> about:
> 
>  (make-obsolete-variable OBSOLETE-NAME CURRENT-NAME WHEN &optional ACCESS-TYPE)
> 
>  Make the byte-compiler warn that OBSOLETE-NAME is obsolete.
>  The warning will say that CURRENT-NAME should be used instead.
>  If CURRENT-NAME is a string, that is the ‘use instead’ message.
>  WHEN should be a string indicating when the variable
>  was first made obsolete, for example a date or a release number.
> 
> 1 Where should I make the `make-obsolete-variable` call (in which file)? Given it's defined in callint.c it's not
>  really obvious in which .el it should go.

I'd say in subr.el; there's a bunch of those there already.

> 2 I don't have a "current name". Should I make CURRENT-NAME something like "This variable will be
>  removed in the future"? Should I pass "nil"?

The former, but I think the string should start with a lower-case
letter, as it will be displayed after the standard text saying the
variable is obsolete.  I suggest to experiment with different strings
and find the one which makes the most sense.

> 3 What WHEN release number should I use? 25.2 ?

Yes, 25.2.

Thanks.